



from pyvolution.load_mesh.loadASCII import reduce_pts
from pmesh.mesh import importMeshFromFile

thin_points_file = 'thinned_cross_sections.pts'
alpha_outline_file = 'alpha_outline.msh'
mesh_file = 'swan_mesh.msh'

reduce_pts('cross_sections.pts', thin_points_file,
           10000, verbose = True) # max # of points = 10000

m = importMeshFromFile(thin_points_file)
m.autoSegment( remove_holes=True,
               smooth_indents=True,
               expand_pinch=True)
m.exportASCIIsegmentoutlinefile(alpha_outline_file)


m_outline = importMeshFromFile(alpha_outline_file)
m_outline.generateMesh(maxArea = 1000) #191291 triangles
m_outline.export_mesh_file(mesh_file)
